Bug 610980 - Review Request: mspdebug - Debugger and gdb proxy for MSP430 MCUs
Review Request: mspdebug - Debugger and gdb proxy for MSP430 MCUs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Spanton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 18:57 EDT by Till Maas
Modified: 2010-09-01 01:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: mspdebug-0.10-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 21:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rob: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2010-07-02 18:57:30 EDT
Spec URL: http://till.fedorapeople.org/review/mspdebug.spec
SRPM URL: http://till.fedorapeople.org/review/mspdebug-0.9-2.0.20100702git74a11c1a.fc12.src.rpm
Description:
A a free debugger for use with MSP430 MCUs. It supports FET430UIF,
eZ430, RF2500 and TI Chronos devices. It can be used as a proxy for
gdb or as an independent debugger with support for programming,
disassembly and reverse engineering.
Comment 1 Till Maas 2010-07-02 18:59:04 EDT
rpmlint only complains about not knowing gdb. I just noticed the typo in the first sentence of the description, I will fix it if other issues come up or before building it in Fedora if it is ok for the reviewer.
Comment 2 Rob Spanton 2010-07-02 19:49:05 EDT
Hi Till,

Why are you shipping the git version, rather than the release?

Cheers,

Rob
Comment 3 Till Maas 2010-07-02 20:04:24 EDT
(In reply to comment #2)

> Why are you shipping the git version, rather than the release?

The git repo contains all the patches I need to use it with a MSP-Fet430UIF to debug TelosB motes.
Comment 4 Rob Spanton 2010-07-06 07:56:08 EDT
We should include the udev rule to enable the UIF and EZ430 to act as a serial device:

SUBSYSTEM=="usb", ACTION=="add", ATTR{product}=="MSP-FET430UIF JTAG Tool", \
  ATTR{bNumConfigurations}=="2", ATTR{bConfigurationValue}="2"

Cheers,
Rob
Comment 5 Till Maas 2010-07-08 08:48:37 EDT
(In reply to comment #4)

> SUBSYSTEM=="usb", ACTION=="add", ATTR{product}=="MSP-FET430UIF JTAG Tool", \
>   ATTR{bNumConfigurations}=="2", ATTR{bConfigurationValue}="2"

This seems not to be needed for the Fedora kernel. I believe I read somewhere that it was only required for older kernels.
Comment 6 Rob Spanton 2010-08-05 12:16:41 EDT
Yes, it appears you're completely correct.  I've just tried a FET430 without the udev rule and it worked fine :)
Comment 7 Rob Spanton 2010-08-05 12:34:30 EDT
I've just realised I can review this...  took a while for that to sink it, sorry!
Comment 8 Rob Spanton 2010-08-05 12:37:44 EDT
Here's my review :)  (Took me a while for it to sink in that I could review it!)

% rpmlint mspdebug.spec
mspdebug.spec: W: invalid-url Source0: mspdebug-0.9git74a11c1a.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Will be fixed by bumping up to 0.10, as this should contain those patches that you wanted.  Everything else looks good to me.  So I'll accept and then we can do the bump after import.

(ACCEPT :)
Comment 9 Till Maas 2010-08-06 09:42:31 EDT
Thank you for the review, I'll bump it to 0.10 before import.

New Package SCM Request
=======================
Package Name: mspdebug
Short Description: Debugger and gdb proxy for MSP430 MCUs
Owners: till rspanton
Branches: f12 f13 f14
InitialCC:
Comment 10 Kevin Fenzi 2010-08-07 15:01:02 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2010-08-17 08:16:04 EDT
mspdebug-0.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mspdebug-0.10-1.fc13
Comment 12 Fedora Update System 2010-08-17 11:34:58 EDT
mspdebug-0.10-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mspdebug-0.10-1.fc14
Comment 13 Fedora Update System 2010-08-17 11:35:04 EDT
mspdebug-0.10-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mspdebug-0.10-1.fc12
Comment 14 Fedora Update System 2010-08-17 15:36:40 EDT
mspdebug-0.10-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mspdebug'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mspdebug-0.10-1.fc14
Comment 15 Fedora Update System 2010-08-19 14:29:43 EDT
mspdebug-0.10-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mspdebug-0.10-2.fc12
Comment 16 Fedora Update System 2010-08-19 14:31:10 EDT
mspdebug-0.10-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mspdebug-0.10-2.fc13
Comment 17 Fedora Update System 2010-08-19 14:41:30 EDT
mspdebug-0.10-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mspdebug-0.10-2.fc14
Comment 18 Fedora Update System 2010-08-25 21:01:30 EDT
mspdebug-0.10-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-08-31 02:33:17 EDT
mspdebug-0.10-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-09-01 01:47:30 EDT
mspdebug-0.10-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.